# Get an ingress by id with resolved routes Source: https://docs.orchard.hackclub.com/api/operations/ingresses_get/ `GET /apiv1/ingresses/{id}` Operation ID: `ingresses_get` Auth: authenticated (scope: read) ## Parameters | Name | In | Required | Description | | --- | --- | --- | --- | | `id` | path | Yes | | ## Responses ### 200: OK ```json { "additionalProperties": {}, "properties": { "address": { "type": [ "string", "null" ] }, "annotations": { "additionalProperties": {}, "type": [ "object", "null" ] }, "clusterIssuer": { "type": [ "string", "null" ] }, "createdAt": { "type": "string" }, "deployment": { "additionalProperties": {}, "properties": { "autoDeployBranch": { "type": [ "string", "null" ] }, "autoDeployEnabled": { "type": "boolean" }, "autoDeployPaths": { "items": { "type": "string" }, "type": "array" }, "buildCommand": { "type": [ "string", "null" ] }, "builderOverride": { "enum": [ "firecracker", "kubernetes", null ], "type": [ "string", "null" ] }, "buildError": { "type": [ "string", "null" ] }, "buildFromRoot": { "type": "boolean" }, "buildLogs": { "type": [ "string", "null" ] }, "buildStatus": { "type": "string" }, "buildStep": { "type": [ "string", "null" ] }, "buildStepTimestamps": { "additionalProperties": {}, "type": [ "object", "null" ] }, "buildType": { "enum": [ "dockerfile", "railpack" ], "type": "string" }, "buildWithDepot": { "type": "boolean" }, "composeServiceName": { "type": [ "string", "null" ] }, "composeStackId": { "type": [ "string", "null" ] }, "cpuRequestMilli": { "type": [ "number", "null" ] }, "createdAt": { "type": "string" }, "createdBy": { "type": [ "string", "null" ] }, "deployStrategy": { "enum": [ "rollingUpdate", "recreate", "blueGreen" ], "type": "string" }, "detectedConfig": { "additionalProperties": {}, "type": [ "object", "null" ] }, "dockerfileHealthCheck": { "properties": { "command": { "items": { "type": "string" }, "type": "array" }, "interval": { "type": "number" }, "retries": { "type": "number" }, "startPeriod": { "type": "number" }, "timeout": { "type": "number" } }, "required": [ "command" ], "type": [ "object", "null" ] }, "dockerfilePath": { "type": [ "string", "null" ] }, "dockerfileTarget": { "type": [ "string", "null" ] }, "effectiveImagePullPolicy": { "description": "What the cluster is actually doing, after deriving. Render this.", "enum": [ "Always", "IfNotPresent" ], "type": "string" }, "environmentId": { "type": [ "string", "null" ] }, "framework": { "type": [ "string", "null" ] }, "githubBranch": { "type": [ "string", "null" ] }, "githubInstallationId": { "anyOf": [ { "type": "string" }, { "type": "number" }, { "type": "null" } ] }, "githubRepo": { "type": [ "string", "null" ] }, "healthCheckCommand": { "type": [ "string", "null" ] }, "healthCheckEnabled": { "type": "boolean" }, "healthCheckInterval": { "type": "number" }, "healthCheckOverride": { "type": "boolean" }, "healthCheckPath": { "type": [ "string", "null" ] }, "healthCheckPort": { "type": [ "number", "null" ] }, "healthCheckRetries": { "type": "number" }, "healthCheckTimeout": { "type": "number" }, "healthCheckType": { "type": "string" }, "icon": { "type": [ "string", "null" ] }, "id": { "type": "string" }, "image": { "type": [ "string", "null" ] }, "imagePullPolicy": { "description": "The override. null means it is derived from the image tag.", "enum": [ "Always", "IfNotPresent", null ], "type": [ "string", "null" ] }, "installCommand": { "type": [ "string", "null" ] }, "livenessEnabled": { "type": "boolean" }, "memoryRequestBytes": { "anyOf": [ { "type": "string" }, { "type": "number" }, { "type": "null" } ] }, "name": { "type": "string" }, "namespace": { "type": "string" }, "outputDirectory": { "type": [ "string", "null" ] }, "persistentBuildCache": { "type": "boolean" }, "projectId": { "type": "string" }, "readinessEnabled": { "type": "boolean" }, "replicas": { "type": "number" }, "rootDirectory": { "type": [ "string", "null" ] }, "startCommand": { "type": [ "string", "null" ] }, "startupEnabled": { "type": "boolean" }, "startupFailureThreshold": { "type": "number" }, "status": { "type": "string" }, "stopped": { "type": "boolean" }, "tailscaleExposed": { "type": "boolean" }, "tailscaleHostname": { "type": [ "string", "null" ] }, "templateInstanceId": { "type": [ "string", "null" ] }, "updatedAt": { "type": "string" } }, "required": [ "id", "projectId", "name", "namespace", "replicas", "stopped", "status", "buildStatus", "createdAt", "updatedAt" ], "type": [ "object", "null" ] }, "deploymentId": { "type": [ "string", "null" ] }, "entrypoints": { "items": { "type": "string" }, "type": "array" }, "environmentId": { "type": [ "string", "null" ] }, "host": { "type": "string" }, "id": { "type": "string" }, "ingressClass": { "type": [ "string", "null" ] }, "name": { "type": "string" }, "namespace": { "type": "string" }, "path": { "type": "string" }, "pathType": { "type": "string" }, "project": { "additionalProperties": {}, "properties": { "id": { "type": "string" }, "name": { "type": "string" }, "organizationId": { "type": "string" }, "slug": { "type": "string" } }, "required": [ "id", "name" ], "type": "object" }, "projectId": { "type": "string" }, "protectionBypassSecret": { "type": [ "string", "null" ] }, "protectionMode": { "enum": [ "none", "password", "orchard" ], "type": "string" }, "redirectStatus": { "anyOf": [ { "enum": [ 301 ], "type": "number" }, { "enum": [ 302 ], "type": "number" }, { "enum": [ 307 ], "type": "number" }, { "enum": [ 308 ], "type": "number" }, { "type": "null" } ] }, "redirectTarget": { "type": [ "string", "null" ] }, "routes": { "items": { "additionalProperties": {}, "properties": { "path": { "type": "string" }, "serviceName": { "type": "string" }, "servicePort": { "type": "number" } }, "required": [ "path", "serviceName", "servicePort" ], "type": "object" }, "type": "array" }, "service": { "additionalProperties": {}, "properties": { "createdAt": { "type": "string" }, "deploymentId": { "type": "string" }, "domain": { "type": [ "string", "null" ] }, "externalIp": { "type": [ "string", "null" ] }, "id": { "type": "string" }, "internalUrl": { "type": "string" }, "internalUrls": { "items": { "type": "string" }, "type": "array" }, "name": { "type": "string" }, "nodePort": { "type": [ "number", "null" ] }, "port": { "type": "number" }, "ports": { "items": { "additionalProperties": {}, "properties": { "id": { "type": "string" }, "name": { "type": [ "string", "null" ] }, "nodePort": { "type": [ "number", "null" ] }, "port": { "type": "number" }, "protocol": { "type": "string" }, "publicAddress": { "type": [ "string", "null" ] }, "publicEnabled": { "type": "boolean" }, "publicPort": { "type": [ "number", "null" ] }, "publicStatus": { "properties": { "addresses": { "items": { "type": "string" }, "type": "array" }, "reason": { "type": [ "string", "null" ] }, "state": { "enum": [ "ready", "pending", "failed", "unknown" ], "type": "string" } }, "required": [ "state", "addresses", "reason" ], "type": "object" }, "serviceId": { "type": "string" }, "targetPort": { "type": "number" } }, "required": [ "id", "serviceId", "port", "targetPort", "protocol" ], "type": "object" }, "type": "array" }, "protocol": { "type": "string" }, "targetPort": { "type": "number" }, "type": { "enum": [ "internal", "external", "ingress" ], "type": "string" }, "updatedAt": { "type": "string" } }, "required": [ "id", "deploymentId", "name", "type", "port", "targetPort", "protocol", "createdAt", "updatedAt" ], "type": [ "object", "null" ] }, "serviceId": { "type": [ "string", "null" ] }, "statusAddress": { "type": [ "string", "null" ] }, "templateInstanceId": { "type": [ "string", "null" ] }, "tlsEnabled": { "type": "boolean" }, "tlsHosts": { "items": { "type": "string" }, "type": "array" }, "tlsSecretName": { "type": [ "string", "null" ] }, "updatedAt": { "type": "string" }, "url": { "type": "string" } }, "required": [ "id", "name", "host", "path", "tlsEnabled", "url", "routes" ], "type": "object" } ```